Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.svcmsg
Interface ResponseRowEvent

All Superinterfaces:
  Response, java.io.Serializable

All Known Implementing Classes:
  SvcMsgResponseRowEvent

public interface ResponseRowEvent
extends Response

This interface extends `Response`. It is used to marshal an event that brings back a set of rows.

Method Summary
`int` | `getRangeStart()` Returns the beginning position (in absolute row index) of the range after this event.
`int` | `getRangeStartBefore()` Returns the beginning position (in absolute row index) of the range before this event.
`int` | `getRowCountInRange()` Returns the number of rows in the range.
`DataRow[]` | `getRows()` Returns the data rows for this event.
`boolean` | `isRangeAtBottom()` Returns a flag indicating whether the range is at the bottom of the collection or not.
`boolean` | `isRangeRefreshed()` Returns a flag indicating whether the range was refreshed or not.
`boolean` | `isRangeReset()` Returns a flag indicating whether the range was reset or not.

Methods inherited from interface oracle.svcmsg.Response
`getName, getOperation`

Method Detail

### getRowCountInRange

    public int getRowCountInRange()

  Returns the number of rows in the range.
  Returns:
    the number of rows in the range.

### getRangeStartBefore

    public int getRangeStartBefore()

  Returns the beginning position (in absolute row index) of the range before this event.
  Returns:
    the range start in absoulte row index before this event.

### getRangeStart

    public int getRangeStart()

  Returns the beginning position (in absolute row index) of the range after this event.
  Returns:
    the range start in absoulte row index after this event.

### isRangeRefreshed

    public boolean isRangeRefreshed()

  Returns a flag indicating whether the range was refreshed or not.
  Returns:
    a flag indicating whether the range was refreshed or not.

### isRangeReset

    public boolean isRangeReset()

  Returns a flag indicating whether the range was reset or not.
  Returns:
    a flag indicating whether the range was reset or not.

### isRangeAtBottom

    public boolean isRangeAtBottom()

  Returns a flag indicating whether the range is at the bottom of the collection or not.
  Returns:
    a flag indicating whether the bottom has been reached.

### getRows

    public DataRow[] getRows()

  Returns the data rows for this event.
  Returns:
    an arry of data rows.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.